
package com.zcrm.server;

import com.zcrm.domain.DomainFacade;
import com.zcrm.domain.domain.DomainFacadeImpl;

import java.util.HashMap;

public class CRMServiceImpl implements DomainFacade{
    private static CRMServiceImpl ourInstance = new CRMServiceImpl();
    private DomainFacade facade;


    public static CRMServiceImpl getInstance() {
        return ourInstance;
    }

    private CRMServiceImpl() {
        this.facade = DomainFacadeImpl.getInstance();
    }

    public HashMap[] getAllCampaigns() {
        return this.facade.getAllCampaigns();

    }

    public HashMap getAllCampaignTypes() {
        return this.facade.getAllCampaignTypes();
    }

    public void setNewCampaign(HashMap newcampaign) {
        this.facade.setNewCampaign(newcampaign);

    }
}
